#define _XTAL_FREQ 8000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config.h"
#include "assets/DS18B20/DS18B20.h"
#include "assets/MAX7219/MAX7219.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  OSCCON = 0x70;        // set internal oscillator to 8MHz
  ANSELH = 0;           // configure all PORTB pins as digital
  
  MAX7219_init();
  
  while(1)
  {
    signed int rawTemp = 0;
    
    if(ds18b20_read(&rawTemp))
    {
      signed int tempr = (signed int) (ds18b20_toFloat(rawTemp) * 10);
      MAX7219_displayNumber(tempr);             
    }
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------